function [testnonnul,Ix,Iy]=prepar_developee(simpli,xch,ych);

% prepar_developee prpare le trac de courbe paramtre et sa dveloppe.
%
% [testnonnul,Ix,Iy]=prepar_developee(simpli,xch,ych) : 
%  
%	variables d'entres : 
%     * simpli : entier qui gal  un force la simplification (qui ne marche pas toujours)
%     * xch et ych  : deux chanes de caractre de la forme 'x(t)' et 
%                     'y(t)' o t est la seule variable 
%
%	variables de sortie : 
%     * testnonnul : fonction test  une composante qui, nulle, indique que 
%                   les coordonnes du centre de courbure ne sont pas calculables.
%     * Ix et Iy : les coordonnes du centre de courbure dans le repre global (O,i,j)
%                   (en fonction inline)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%     aucune
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

xsy=sym(xch);
ysy=sym(ych);
xd1sy=diff(xsy);
xd2sy=diff(xd1sy);
yd1sy=diff(ysy);
yd2sy=diff(yd1sy);
Q=(xd1sy)^2+(yd1sy)^2;
if simpli
   deltaa=simplify(xd1sy*yd2sy-xd2sy*yd1sy);
   auxiRbis=simplify(Q/deltaa);
   auxiIx=simplify(xsy-auxiRbis*yd1sy);
   auxiIy=simplify(ysy+auxiRbis*xd1sy);
else
   deltaa=xd1sy*yd2sy-xd2sy*yd1sy;
   auxiRbis=Q/deltaa;
   auxiIx=xsy-auxiRbis*yd1sy;
   auxiIy=ysy+auxiRbis*xd1sy;
end
syms t;
auxiIx=vectorize(char(auxiIx));
auxiIy=vectorize(char(auxiIy));
Ix=inline(auxiIx,'t');
Iy=inline(auxiIy,'t');
% calcul de testnnonul
testnonnul=vectorize(char(deltaa));
testnonnul=inline(testnonnul,'t');
